package com.kingdee.eas.custom.perfwebinterview;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class InterviewRecordCollection extends AbstractObjectCollection 
{
    public InterviewRecordCollection()
    {
        super(InterviewRecordInfo.class);
    }
    public boolean add(InterviewRecordInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(InterviewRecordCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(InterviewRecordInfo item)
    {
        return removeObject(item);
    }
    public InterviewRecordInfo get(int index)
    {
        return(InterviewRecordInfo)getObject(index);
    }
    public InterviewRecordInfo get(Object key)
    {
        return(InterviewRecordInfo)getObject(key);
    }
    public void set(int index, InterviewRecordInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(InterviewRecordInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(InterviewRecordInfo item)
    {
        return super.indexOf(item);
    }
}